variant_not
variant_pow
COM Functions
PHP Manual

# variant_or

(PHP 5)

variant_or — Performs a logical disjunction on two variants

### Description

mixed variant_or ( mixed `$left` , mixed `$right` )

Performs a bitwise OR operation. Note that this is slightly different from a regular OR operation.

### Parameters

`left`

  The left operand.

`right`

  The right operand.

> Note: As with all the variant arithmetic functions, the parameters for this function can be either a PHP native type (integer, string, floating point, boolean or `NULL`), or an instance of a COM, VARIANT or DOTNET class. PHP native types will be converted to variants using the same rules as found in the constructor for the VARIANT class. COM and DOTNET objects will have the value of their default property taken and used as the variant value.
> The variant arithmetic functions are wrappers around the similarly named functions in the COM library; for more information on these functions, consult the MSDN library. The PHP functions are named slightly differently; for example variant_add() in PHP corresponds to VarAdd() in the MSDN documentation.

### Return Values

Variant OR Rules
If `left` is | If `right` is | then the result is
--- | --- | ---
`TRUE` | `TRUE` | `TRUE`
`TRUE` | `FALSE` | `TRUE`
`TRUE` | `NULL` | `TRUE`
`FALSE` | `TRUE` | `TRUE`
`FALSE` | `FALSE` | `FALSE`
`FALSE` | `NULL` | `NULL`
`NULL` | `TRUE` | `TRUE`
`NULL` | `FALSE` | `NULL`
`NULL` | `NULL` | `NULL`

### See Also

- variant_and()
- variant_xor()

variant_not
variant_pow
COM Functions
PHP Manual